#ifndef FRAME_H
#define FRAME_H


#include "WinCore.h"
#include "WCEframe.h"
#include "Dialog.h"
#include "GDI.h"

#include <graphics/bitmap.h>
#include "bitbutton.h"

class CMainFrame : public CWnd //CWceFrame
{
public:
    CMainFrame();
    virtual ~CMainFrame()
    {
        delete bgk;
    }
    virtual void PreCreate(CREATESTRUCT &cs);
    virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
    virtual void OnInitialUpdate();
    
    void SetupWindow();

protected:
    virtual void OnPaint(HDC hDC);
    virtual LRESULT WndProc(HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

private:
    FILE* fo;
    Graphics::Bitmap* bgk;
    BitButton bStart;
    BitButton bClose;
};

#endif   //FRAME_H
